%define name    testdisk
%define version 5.2
%define rel     1mdk
%define ver_e2fsprogs 1.35
%define ver_progsreiserfs 0.3.1-rc8
%define ver_ntfsprogs 1.9.0

Summary:	Tool to check and undelete partition.
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje.
Summary(fr):	Outil pour vrifier et restaurer des partitions.
Name:		%name
Version:	%version
Release:	%rel
License:	GPL
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source2:	progsreiserfs-%ver_progsreiserfs.tar.bz2
Source3:	ntfsprogs-%ver_ntfsprogs.tar.bz2
Patch0:		progreiserfs-journal.patch.bz2
URL:		http://www.cgsecurity.org/testdisk.html
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel >= %ver_e2fsprogs
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
Tool to check and undelete partition. Works with the following
partitions:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 and 2)
- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%description -l fr
Outil pour vrifier et rstorer des partitions. Fonctionne avec les 
partitions suivantes :
- FAT12 FAT16 FAT32
- Linux
- Linux SWAP (version 1 et 2)
- NTFS (Windows NT/W2K/XP)
- BeFS (BeOS)
- UFS (BSD)
- Netware
- ReiserFS

%prep
%setup 
%setup -a 2 -D
%setup -a 3 -D
%patch0

%build

(
cd ntfsprogs-%ver_ntfsprogs
%configure
%make
)
(
cd  progsreiserfs-%ver_progsreiserfs
%configure
%make
)

%configure --with-reiserfs-lib=`pwd`/progsreiserfs-%ver_progsreiserfs/libreiserfs/.libs/ --with-reiserfs-includes=`pwd`/progsreiserfs-%ver_progsreiserfs/include/ --with-ntfs-lib=`pwd`/ntfsprogs-%ver_ntfsprogs/libntfs/.libs/ --with-ntfs-includes=`pwd`/ntfsprogs-%ver_ntfsprogs/include/
%make

%install
rm -rf $RPM_BUILD_ROOT

%make DESTDIR=$RPM_BUILD_ROOT install
#install -d $RPM_BUILD_ROOT%{_sbindir}

#install src/testdisk	$RPM_BUILD_ROOT%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc [L-T]* doc/*.html doc/*.gif
%attr(755,root,root) %{_sbindir}/testdisk
%{_mandir}/man1/testdisk.1.bz2

%changelog
* Wed Apr 21 2004 Pascal Terjan <pterjan@mandrake.org> 5.2-1mdk
- 5.2
- Use system e2fsprogs
- Add ntfsprogs
- Update patch0

* Sat Dec 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.5-1mdk
- 4.5 

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <CMoi@tuxfamily.org>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
